<?php
namespace Claromentis\Stat\Telemetry;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array();
use Claromentis\Core\DAL\Db;
interface DataCollectorInterface
{
    
    
    
    
    
    
    
    public function Generate(Db $db);
    
    
    
    
    
    
    public function GetAsArray();
    
    
    
    
    
    
    public function GetAsJSON();
}